## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name vvm
%global common_description %{expand:
Python wrapper and version management tool for the Vyper compiler.}

Name:          python-%{pypi_name}
Version:       0.2.1
Release:       %autorelease
BuildArch:     noarch
Summary:       Vyper version manager
License:       MIT
URL:           https://github.com/vyperlang/vvm
VCS:           git:%{url}.git
# FIXME PyPi package missing ./tests/conftest.py
Source0:       %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch1:        python-vvm-0001-Ease-version-requirements.patch
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-pytest-cov

%description %{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %{common_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

%check
%pyproject_check_import
# FIXME unfortunately tests requires internet access which we currently do not
# have in Koji
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Wed Aug 14 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.2.1-1
- Initial build
## END: Generated by rpmautospec
